/*****************************************************************************
**  This is part of the dxflib library
**  Copyright (C) 2000 Andrew Mustun
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License (version 2) as
**  published by the Free Software Foundation.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
******************************************************************************/

#ifndef DL_CIRCLE_H
#define DL_CIRCLE_H

#include "dl_entity.h"


/**
 * Class for a circle entity.
 *
 * @author Andrew Mustun
 */
class DL_Circle : public DL_Entity {
	public:
		DL_Circle (DL_Vector center, 
		           double rad);
		
		/**	\return DL_ENTITY_CIRCLE
		*/
		virtual int rtti() { return DL_ENTITY_CIRCLE; }
		
		/** Returns the center point (x) of this arc */
		DL_Vector getCenter () { return center; } 
		/** Returns the radius of this arc */
		double getRadius () { return radius; }
		
		friend std::ostream& operator << (std::ostream& os, DL_Circle& a);
		
	protected:
		virtual void calculateBorders ();
		
	protected:
		DL_Vector center;
		double radius;
};

#endif
