/*****************************************************************************
**  This is part of the dxflib library
**  Copyright (C) 2000 Andrew Mustun
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License (version 2) as
**  published by the Free Software Foundation.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
******************************************************************************/

#ifndef DL_DXF_H
#define DL_DXF_H

#include "dl_graphic.h"

#include <stdio.h>


#define DL_DXF_MAXLINE 1024
#define DL_DXF_MAXGROUPCODE 128


/**
 * Graphic which contains a list of elements.
 * No format dependet parts. Just a container for elements.
 *
 * @author Andrew Mustun
 */
class DL_Dxf {
	public:
		static bool in (const char* file, DL_Graphic* graphic);
		static bool readDxfGroups (FILE* fp, DL_Graphic* graphic);
		static bool getChoppedLine (char *s, int size, FILE *stream);
};

#endif

// EOF
