/*****************************************************************************                   
**  This is part of the dxflib library                                                           
**  Copyright (C) 2000 Andrew Mustun                                                             
**                                                                                               
**  This program is free software; you can redistribute it and/or modify                         
**  it under the terms of the GNU General Public License (version 2) as                          
**  published by the Free Software Foundation.                                                   
**                                                                                               
**  This program is distributed in the hope that it will be useful,                              
**  but WITHOUT ANY WARRANTY; without even the implied warranty of                               
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                                
**  GNU General Public License for more details.                                                 
**                                                                                               
**  You should have received a copy of the GNU General Public License                            
**  along with this program; if not, write to the Free Software                                  
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA                    
******************************************************************************/                  

#ifndef DL_FLAGS_H
#define DL_FLAGS_H

/**
 * Base class for objects which have flags.
 *
 * @author Andrew Mustun
 */
class DL_Flags
{
public:
	DL_Flags() { flags=0; }

	unsigned int getFlags() const { return flags; }
	void setFlags(unsigned int f) { flags=f; }
  
	void setFlag (unsigned int f) { flags=flags|f; }
	void delFlag (unsigned int f) { flags=flags&(~f); }
	void turnFlag(unsigned int f) { flags=flags^f; }
	bool getFlag (unsigned int f) const { if(flags&f) return(true);
	                                      else        return(false); }

private:
	unsigned int flags;
};

#endif
