/*****************************************************************************
**  This is part of the dxflib library
**  Copyright (C) 2000 Andrew Mustun
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License (version 2) as
**  published by the Free Software Foundation.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
******************************************************************************/

#ifndef DL_GRAPHIC_H
#define DL_GRAPHIC_H

#include "dl_layerlist.h"
#include "dl_entitycontainer.h"
#include "dl_polyline.h"
#include "dl_text.h"
#include "dl_units.h"


/**
 * A graphic which contains entities
 *
 * @author Andrew Mustun
 */
class DL_Graphic 
	: public DL_EntityContainer {
	public:
		DL_Graphic ();
		
		/** Sets the unit of this graphic to 'u' */
		void setUnit (DL_Units::Unit u) { unit = u; }
		/** Gets the unit of this graphic */
		DL_Units::Unit getUnit () { return unit; }
		
		void addLayer (DL_Layer* layer);
		
		friend std::ostream& operator << (std::ostream& os, DL_Graphic& g);

	private:
		DL_LayerList layerList;             //! List of all layers in the graphic
		DL_Units::Unit unit;                //! Unit of this graphic (see dl_units.h)
};


#endif
