/*****************************************************************************
**  This is part of the dxflib library
**  Copyright (C) 2000 Andrew Mustun
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License (version 2) as
**  published by the Free Software Foundation.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
******************************************************************************/

#ifndef DL_LAYER_H
#define DL_LAYER_H

#include <iostream>
#include "dl_flags.h"

#define DL_LAYER_MAXNAMELEN 128  // Max length for a layer name

// Flags for all layers (0x00000001 - 0x00008000):
#define L_VISIBLE     0x00000001		//! Layer is visible


/**
 * Class for representing a layer
 *
 * @author Andrew Mustun
 */
class DL_Layer : public DL_Flags {
	public:
		DL_Layer (const char* name);
		
		friend std::ostream& operator << (std::ostream& os, DL_Layer& l);
		
		friend class CL_LayerList;
		
	public:
		char name[DL_LAYER_MAXNAMELEN];        //! Layer name
};

#endif
