/*****************************************************************************
**  This is part of the dxflib library
**  Copyright (C) 2000 Andrew Mustun
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License (version 2) as
**  published by the Free Software Foundation.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
******************************************************************************/

#include "dl_layerlist.h"


/**
 * Default constructor.
 */
DL_LayerList::DL_LayerList ()
{
}



/**
 * Adds a element to the graphic.
 */
void
DL_LayerList::addLayer (DL_Layer* layer)
{
	std::vector<DL_Layer*>::iterator it = layers.end();
	layers.insert (it, layer);
}



/**
 * Returns the first entity or NULL if this graphic is empty.
 */
DL_Layer*
DL_LayerList::first()
{
	iterator = layers.begin();
	if (iterator==layers.end ()) return 0;
	else                         return (*iterator);
}



/**
 * Returns the next entity or NULL if the last entity returned by next() 
 * was the last entity in the graphic.
 */
DL_Layer*
DL_LayerList::next()
{
	iterator++;
	if (iterator==layers.end ()) return 0;
	else                         return (*iterator);
}



/**
 * Dumps the layers to stdout.
 */
std::ostream& operator << (std::ostream& os, DL_LayerList& l)
{
	std::cout << "Layerlist: \n";

	for(DL_Layer* layer=l.first(); layer!=0; layer=l.next()) {
		os << *layer;
	}
	
	return os;
}


// EOF
