/*****************************************************************************
**  This is part of the dxflib library
**  Copyright (C) 2000 Andrew Mustun
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License (version 2) as
**  published by the Free Software Foundation.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
******************************************************************************/

#ifndef DL_LAYERLIST_H
#define DL_LAYERLIST_H

#include <vector.h>

#include "dl_layer.h"

/**                                                                                              
 * A graphic which contains entities                                                           
 *                                                                                               
 * @author Andrew Mustun                                                                         
 */
class DL_LayerList {
	public:
		DL_LayerList ();
		
		void addLayer (DL_Layer* layer);
		DL_Layer* first ();
		DL_Layer* next ();
		
		friend std::ostream& operator << (std::ostream& os, DL_LayerList& l);
		
	private:
		std::vector<DL_Layer*> layers;		//! layers in the graphic
		std::vector<DL_Layer*>::const_iterator iterator;
		                                  //! iterator for first() / next()
};

#endif
