/*****************************************************************************
**  This is part of the dxflib library
**  Copyright (C) 2000 Andrew Mustun
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License (version 2) as
**  published by the Free Software Foundation.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
******************************************************************************/

#ifndef DL_LINE_H
#define DL_LINE_H

#include "dl_entity.h"

/**
 * Class for a line entity.
 *
 * @author Andrew Mustun
 */
class DL_Line : public DL_Entity {
	public:
		DL_Line (DL_Vector p1, DL_Vector p2);
		
		/**	\return DL_ENTITY_LINE
		*/
		virtual int rtti() { return DL_ENTITY_LINE; }
		
		friend std::ostream& operator << (std::ostream& os, DL_Line& l);
		
	protected:
		virtual void calculateBorders ();
};

#endif
