/*****************************************************************************
**  This is part of the dxflib library
**  Copyright (C) 2000 Andrew Mustun
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License (version 2) as
**  published by the Free Software Foundation.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
******************************************************************************/

#include "dl_point.h"


/**
 * Default constructor.
 */
DL_Point::DL_Point (DL_Vector p)
{
	startPoint = p;
	calculateBorders ();
}


/**
 * Recalculates the border.
 */
void 
DL_Point::calculateBorders ()
{
	min = max = startPoint;
}


/**
 * Dumps the point's data to stdout.
 */
std::ostream& operator << (std::ostream& os, DL_Point& p)
{
	os << "Point: " << p.startPoint << "\n";
  return os;
}


// EOF
