/*****************************************************************************
**  This is part of the dxflib library
**  Copyright (C) 2000 Andrew Mustun
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License (version 2) as
**  published by the Free Software Foundation.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
******************************************************************************/

#ifndef DL_POLYLINE_H
#define DL_POLYLINE_H

#include <vector.h>
#include "dl_entity.h"
#include "dl_entitycontainer.h"

/**
 * Class for a poly line entity (lots of connected lines and arcs).
 *
 * @author Andrew Mustun
 */
class DL_Polyline : public DL_Entity, public DL_EntityContainer {
	public:
		DL_Polyline (DL_Vector v);
		
		/**	\return DL_ENTITY_POLYLINE
		*/
		virtual int rtti() { return DL_ENTITY_POLYLINE; }

		virtual bool isContainer() { return true; }
		
		friend std::ostream& operator << (std::ostream& os, DL_Polyline& l);

		void addEntity (DL_Vector v);

	protected:
		virtual void calculateBorders ();

};

#endif
