/*****************************************************************************
**  This is part of the dxflib library
**  Copyright (C) 2000 Andrew Mustun
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License (version 2) as
**  published by the Free Software Foundation.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
******************************************************************************/

#ifndef DL_UNITS_H
#define DL_UNITS_H


/**
 * Conversion methods for units
 *
 * @author Andrew Mustun
 */
class DL_Units {
	public:
		enum Unit { None, Inch, Foot, Mile, 
		            Millimeter, Centimeter, Meter, Kilometer, 
		            Microinch, Mil, Yard, Angstrom, Nanometer, 
		            Micron, Decimeter, Decameter, Hectometer, 
		            Gigameter, Astro, Lightyear, Parsec };

		static char* unit2sign(Unit unit);

		static Unit string2unit(const char* str, bool* ok=0);
		static char* unit2string(Unit unit);

		static Unit dxfint2unit(int dxfint);
		
};


#endif
